<?xml version="1.0" encoding="UTF-8"?>
<project name="#1" default="build">
	<property name="src.dir" value="#4"/>
	<property name="out.dir" value="classes"/>
	<property name="doc.dir" value="doc"/>
	<target name="build">
		<mkdir dir="${out.dir}"/>
		<javac includeAntRuntime="no" srcdir="${src.dir}" destdir="${out.dir}" debug="on">
			<include name="**/*.java"/>
		</javac>
	</target>
	<target name="doc">
		<mkdir dir="${doc.dir}"/>
		<javadoc destdir="${doc.dir}" use="true" encoding="UTF-8" charset="UTF-8" windowtitle="#1">
			<doctitle>#1 Documents</doctitle>
			<fileset dir="${src.dir}">
				<include name="**/*.java"/>
			</fileset>
		</javadoc>
	</target>
	<target name="clean">
		<delete dir="${out.dir}"/>
		<delete dir="${doc.dir}"/>
	</target>
</project>

